Package org.apache.maven.scm.provider.clearcase.command.unedit

## Class ClearCaseUnEditCommand

- java.lang.Object
- - org.apache.maven.scm.command.AbstractCommand
  - - org.apache.maven.scm.command.unedit.AbstractUnEditCommand
    - - org.apache.maven.scm.provider.clearcase.command.unedit.ClearCaseUnEditCommand

All Implemented Interfaces:
  `Command`, `ClearCaseCommand`

    public class ClearCaseUnEditCommand
    extends AbstractUnEditCommand
    implements ClearCaseCommand

Author:
  Wim Deblauwe, Olivier Lamy

### Field Summary

### Fields inherited from interface org.apache.maven.scm.command.Command

`ROLE`

### Constructor Summary

Constructors
`ClearCaseUnEditCommand()`

### Method Summary

All Methods Static Methods Instance Methods Concrete Methods
`static org.codehaus.plexus.util.cli.Commandline` `createCommandLine​(ScmLogger logger, ScmFileSet scmFileSet)`
`protected ScmResult` `executeUnEditCommand​(ScmProviderRepository repository, ScmFileSet fileSet)`

### Methods inherited from class org.apache.maven.scm.command.unedit.AbstractUnEditCommand

`executeCommand`

### Methods inherited from class org.apache.maven.scm.command.AbstractCommand

`execute, getLogger, setLogger`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### ClearCaseUnEditCommand

    public ClearCaseUnEditCommand()

### Method Detail

#### executeUnEditCommand

    protected ScmResult executeUnEditCommand​(ScmProviderRepository repository,
                                             ScmFileSet fileSet)
                                      throws ScmException

Specified by:
  `executeUnEditCommand` in class `AbstractUnEditCommand`
Throws:
  `ScmException`

#### createCommandLine

    public static org.codehaus.plexus.util.cli.Commandline createCommandLine​(ScmLogger logger,
                                                                             ScmFileSet scmFileSet)